util.ui.html

## Class ExtendedHTMLEditorKit

- java.lang.Object
- - javax.swing.text.EditorKit
  - - javax.swing.text.DefaultEditorKit
    - - javax.swing.text.StyledEditorKit
      - - javax.swing.text.html.HTMLEditorKit
        - - util.ui.html.ExtendedHTMLEditorKit

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, javax.accessibility.Accessible

      public class ExtendedHTMLEditorKit
      extends javax.swing.text.html.HTMLEditorKit

  A HTML editor kit that supports the integration of Components.
  Author:
    Til Schneider, www.murfman.de
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.text.html.HTMLEditorKit

      `javax.swing.text.html.HTMLEditorKit.HTMLFactory, javax.swing.text.html.HTMLEditorKit.HTMLTextAction, javax.swing.text.html.HTMLEditorKit.InsertHTMLTextAction, javax.swing.text.html.HTMLEditorKit.LinkController, javax.swing.text.html.HTMLEditorKit.Parser, javax.swing.text.html.HTMLEditorKit.ParserCallback`

    - ### Nested classes/interfaces inherited from class javax.swing.text.StyledEditorKit

      `javax.swing.text.StyledEditorKit.AlignmentAction, javax.swing.text.StyledEditorKit.BoldAction, javax.swing.text.StyledEditorKit.FontFamilyAction, javax.swing.text.StyledEditorKit.FontSizeAction, javax.swing.text.StyledEditorKit.ForegroundAction, javax.swing.text.StyledEditorKit.ItalicAction, javax.swing.text.StyledEditorKit.StyledTextAction, javax.swing.text.StyledEditorKit.UnderlineAction`

    - ### Nested classes/interfaces inherited from class javax.swing.text.DefaultEditorKit

      `javax.swing.text.DefaultEditorKit.BeepAction, javax.swing.text.DefaultEditorKit.CopyAction, javax.swing.text.DefaultEditorKit.CutAction, javax.swing.text.DefaultEditorKit.DefaultKeyTypedAction, javax.swing.text.DefaultEditorKit.InsertBreakAction, javax.swing.text.DefaultEditorKit.InsertContentAction, javax.swing.text.DefaultEditorKit.InsertTabAction, javax.swing.text.DefaultEditorKit.PasteAction`

  - ### Field Summary

    - ### Fields inherited from class javax.swing.text.html.HTMLEditorKit

      `BOLD_ACTION, COLOR_ACTION, DEFAULT_CSS, FONT_CHANGE_BIGGER, FONT_CHANGE_SMALLER, IMG_ALIGN_BOTTOM, IMG_ALIGN_MIDDLE, IMG_ALIGN_TOP, IMG_BORDER, ITALIC_ACTION, LOGICAL_STYLE_ACTION, PARA_INDENT_LEFT, PARA_INDENT_RIGHT`

    - ### Fields inherited from class javax.swing.text.DefaultEditorKit

      `backwardAction, beepAction, beginAction, beginLineAction, beginParagraphAction, beginWordAction, copyAction, cutAction, defaultKeyTypedAction, deleteNextCharAction, deleteNextWordAction, deletePrevCharAction, deletePrevWordAction, downAction, endAction, endLineAction, EndOfLineStringProperty, endParagraphAction, endWordAction, forwardAction, insertBreakAction, insertContentAction, insertTabAction, nextWordAction, pageDownAction, pageUpAction, pasteAction, previousWordAction, readOnlyAction, selectAllAction, selectionBackwardAction, selectionBeginAction, selectionBeginLineAction, selectionBeginParagraphAction, selectionBeginWordAction, selectionDownAction, selectionEndAction, selectionEndLineAction, selectionEndParagraphAction, selectionEndWordAction, selectionForwardAction, selectionNextWordAction, selectionPreviousWordAction, selectionUpAction, selectLineAction, selectParagraphAction, selectWordAction, upAction, writableAction`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtendedHTMLEditorKit()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.swing.text.Document` | `createDefaultDocument()` Create an uninitialized text storage model that is appropriate for this type of editor.

    - ### Methods inherited from class javax.swing.text.html.HTMLEditorKit

      `clone, createInputAttributes, deinstall, getAccessibleContext, getActions, getContentType, getDefaultCursor, getInputAttributes, getLinkCursor, getParser, getStyleSheet, getViewFactory, insertHTML, install, isAutoFormSubmission, read, setAutoFormSubmission, setDefaultCursor, setLinkCursor, setStyleSheet, write`

    - ### Methods inherited from class javax.swing.text.StyledEditorKit

      `getCharacterAttributeRun`

    - ### Methods inherited from class javax.swing.text.DefaultEditorKit

      `createCaret, read, write`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtendedHTMLEditorKit

          public ExtendedHTMLEditorKit()

  - ### Method Detail

    - #### createDefaultDocument

          public javax.swing.text.Document createDefaultDocument()

      Create an uninitialized text storage model that is appropriate for this type of editor.

      Copied from superclass and changed to create ExtendedHTMLDocuments.

      Overrides:
        `createDefaultDocument` in class `javax.swing.text.html.HTMLEditorKit`
      Returns:
        the model

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)